# ai_log.hpp File Reference

Everything to handle and issue log messages. More...

`#include "ai_object.hpp"`

Go to the source code of this file.

## Data Structures
class | AILog
| Class that handles all log related functions. More...
struct | AILog::LogData
| Internal representation of the log-data inside the AI. More...

## Detailed Description

Everything to handle and issue log messages.

Definition in file ai_log.hpp.